Name: libcmis
Version: 0.2.3
Release: 2%{?dist}
Summary: A C++ client library for the CMIS interface

Group: System Environment/Libraries
License: GPL+ or LGPLv2+ or MPLv1.1
URL: http://sourceforge.net/projects/libcmis/
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires: boost-devel
BuildRequires: docbook2X
BuildRequires: libcurl-devel
BuildRequires: libxml2-devel

%description
LibCMIS is a C++ client library for the CMIS interface. This allows C++
applications to connect to any ECM behaving as a CMIS server like
Alfresco, Nuxeo for the open source ones.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary: Command line tool to access CMIS
Group: Applications/Publishing
Requires: %{name}%{?_isa} = %{version}-%{release}

%description tools
The %{name}-tools package contains a tool for accessing CMIS from the
command line.

%prep
%setup -q
sed -i -e 's/docbook-to-man/db2x_docbook2man/' configure


%build
%configure --disable-static --disable-tests --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
make %{?_smp_mflags} V=1


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/*.la
# it seems that the hook for building and installing man page breaks
# installation of other data files
mkdir -p %{buildroot}/%{_libdir}/pkgconfig
cp -p %{name}-0.2.pc %{buildroot}/%{_libdir}/pkgconfig

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.* README
%{_libdir}/%{name}-0.2.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-0.2
%{_libdir}/%{name}-0.2.so
%{_libdir}/pkgconfig/%{name}-0.2.pc


%files tools
%defattr(-,root,root,-)
%{_bindir}/cmis-client
%{_mandir}/man1/cmis-client.1*


%changelog
* Wed Aug 08 2012 Nick Bryda <nick@fuduntu.org> - 0.2.3-2
- Built for Fuduntu

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 David Tardon <dtardon@redhat.com> 0.2.3-1
- new upstream version

* Wed Jun 20 2012 David Tardon <dtardon@redhat.com> 0.2.2-1
- latest upstream version

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for c++ ABI breakage

* Wed Dec 21 2011 David Tardon <dtardon@redhat.com> 0.1.0-1
- initial import
